---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach009Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x59E00, symBinAddr: 0xC610, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5BD40, symBinAddr: 0xE550, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5C130, symBinAddr: 0xE940, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5D0D0, symBinAddr: 0xF8E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5D0E0, symBinAddr: 0xF8F0, symSize: 0x0 }
  - { offsetInCU: 0x8DCE, offset: 0x8DCE, size: 0x8, addend: 0x0, symName: _classLoadHandler, symObjAddr: 0xBEE0, symBinAddr: 0x57F0, symSize: 0x3B0 }
  - { offsetInCU: 0x8DEF, offset: 0x8DEF, size: 0x8, addend: 0x0, symName: __ZZ16classLoadHandlerE14mainThreadName, symObjAddr: 0x59920, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91AB, offset: 0x91AB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59650, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x91B6, offset: 0x91B6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59654, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x91C1, offset: 0x91C1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59658, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x9206, offset: 0x9206, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x597B0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x9273, offset: 0x9273, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59868, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x9291, offset: 0x9291, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5986C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x92AA, offset: 0x92AA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59870, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92C3, offset: 0x92C3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59874, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x92DC, offset: 0x92DC, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59878, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92F5, offset: 0x92F5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59880, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x937E, offset: 0x937E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59890, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9397, offset: 0x9397, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59898, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93B0, offset: 0x93B0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x598A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93C9, offset: 0x93C9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x598A8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93E2, offset: 0x93E2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x598B0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93FC, offset: 0x93FC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x598B8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94E2, offset: 0x94E2, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x598FC, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94FB, offset: 0x94FB, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x59900, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x59908, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x952D, offset: 0x952D, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x59910, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9546, offset: 0x9546, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x59D20, symBinAddr: 0xC5F0, symSize: 0x0 }
  - { offsetInCU: 0x955F, offset: 0x955F, size: 0x8, addend: 0x0, symName: __ZL17disabledForOthers, symObjAddr: 0x59D28, symBinAddr: 0xC5F8, symSize: 0x0 }
  - { offsetInCU: 0x957F, offset: 0x957F, size: 0x8, addend: 0x0, symName: __ZL7success, symObjAddr: 0x112D8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x9598, offset: 0x9598, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x59D30, symBinAddr: 0xC600, symSize: 0x0 }
  - { offsetInCU: 0x95EA, offset: 0x95EA, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2D30, symSize: 0x80 }
  - { offsetInCU: 0x967F, offset: 0x967F, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2C80, symSize: 0xB0 }
  - { offsetInCU: 0x96DA, offset: 0x96DA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2B80, symSize: 0x100 }
  - { offsetInCU: 0x996D, offset: 0x996D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2DB0, symSize: 0x220 }
  - { offsetInCU: 0x9B52, offset: 0x9B52, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2FD0, symSize: 0xA0 }
  - { offsetInCU: 0x9C05, offset: 0x9C05, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3070, symSize: 0x110 }
  - { offsetInCU: 0x9CFB, offset: 0x9CFB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3180, symSize: 0x150 }
  - { offsetInCU: 0x9E58, offset: 0x9E58, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x32D0, symSize: 0x30 }
  - { offsetInCU: 0x9F65, offset: 0x9F65, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3300, symSize: 0x150 }
  - { offsetInCU: 0xA15D, offset: 0xA15D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3450, symSize: 0x160 }
  - { offsetInCU: 0xA2FD, offset: 0xA2FD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x35B0, symSize: 0x1B0 }
  - { offsetInCU: 0xA518, offset: 0xA518, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3760, symSize: 0xA0 }
  - { offsetInCU: 0xA5E7, offset: 0xA5E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3800, symSize: 0x20 }
  - { offsetInCU: 0xA61E, offset: 0xA61E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3820, symSize: 0x20 }
  - { offsetInCU: 0xA655, offset: 0xA655, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3840, symSize: 0x20 }
  - { offsetInCU: 0xA7C4, offset: 0xA7C4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3860, symSize: 0x1A0 }
  - { offsetInCU: 0xAAE0, offset: 0xAAE0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3A00, symSize: 0x130 }
  - { offsetInCU: 0xAC90, offset: 0xAC90, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3B30, symSize: 0x80 }
  - { offsetInCU: 0xAD59, offset: 0xAD59, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3BB0, symSize: 0x6A0 }
  - { offsetInCU: 0xB8EE, offset: 0xB8EE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x5740, symSize: 0xB0 }
  - { offsetInCU: 0xB965, offset: 0xB965, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4250, symSize: 0x70 }
  - { offsetInCU: 0xBA39, offset: 0xBA39, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x42C0, symSize: 0xA0 }
  - { offsetInCU: 0xBB44, offset: 0xBB44, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4360, symSize: 0x40 }
  - { offsetInCU: 0xBC3A, offset: 0xBC3A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x43A0, symSize: 0x2B0 }
  - { offsetInCU: 0xBFE0, offset: 0xBFE0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4650, symSize: 0xC0 }
  - { offsetInCU: 0xC126, offset: 0xC126, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4710, symSize: 0x10 }
  - { offsetInCU: 0xC1E8, offset: 0xC1E8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4720, symSize: 0x220 }
  - { offsetInCU: 0xC4E5, offset: 0xC4E5, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x4940, symSize: 0x150 }
  - { offsetInCU: 0xC5A8, offset: 0xC5A8, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4A90, symSize: 0x3C0 }
  - { offsetInCU: 0xC8DD, offset: 0xC8DD, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x4E50, symSize: 0xF0 }
  - { offsetInCU: 0xC9DF, offset: 0xC9DF, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x4F40, symSize: 0x270 }
  - { offsetInCU: 0xCC90, offset: 0xCC90, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x51B0, symSize: 0xB0 }
  - { offsetInCU: 0xCCF7, offset: 0xCCF7, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x5260, symSize: 0x1E0 }
  - { offsetInCU: 0xCEF5, offset: 0xCEF5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xACF0, symBinAddr: 0x5440, symSize: 0x180 }
  - { offsetInCU: 0xD0EC, offset: 0xD0EC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0xAE70, symBinAddr: 0x55C0, symSize: 0x180 }
  - { offsetInCU: 0xD340, offset: 0xD340, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC290, symBinAddr: 0x5BA0, symSize: 0x320 }
  - { offsetInCU: 0xD719, offset: 0xD719, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC5B0, symBinAddr: 0x5EC0, symSize: 0x36A }
...
